Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MouseEdgeSelector Class Reference
Mouse_interactor

`#include <MouseEdgeSelector.h>`

Inheritance diagram for tlp::MouseEdgeSelector:
[legend]
Collaboration diagram for tlp::MouseEdgeSelector:
[legend]

List of all members.

## Public Member Functions

- MouseEdgeSelector ()
- ~MouseEdgeSelector ()
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseEdgeSelector::MouseEdgeSelector | ( |  | ) |

tlp::MouseEdgeSelector::~MouseEdgeSelector | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseEdgeSelector::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseEdgeSelector::draw | ( | GlMainWidget * |  | ) | `[virtual]`

This function draw interactor

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeSelector::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

Tulip Software by LaBRI Visualization Team 2001 - 2012